Subject: Re: [PATCH 8/15] zImage: Cleanup and improve zImage entry point

From: David Gibson <[email-masked]>
Date: Sat, 17 Mar 2007 12:38:59 +1100

On Fri, Mar 16, 2007 at 11:21:35AM -0500, Scott Wood wrote:
> On Fri, Mar 16, 2007 at 11:50:16AM +1100, David Gibson wrote:
> > Sorry, I misunderstood.  That sort of firmware - and the even dumber
> > sort where the start address isn't configurable at all - is exactly
> > what option (1) is for.  You'll need an asm platform file which
> > defines _zimage_start to a fixed offset.  In your case you could
> > probably just make it a jump to the generic _zimage_start.
> 
> One problem with that is that the wrapper currently only accepts one
> platform .o file -- and presumably one isn't going to want to do all of
> the platform code in assembly.

Um.. nobody does it yet, but I don't think there's actually any reason
that $platformo can't be set to a list of multiple .o files.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson